export type QueryExecutionTypes = 'neo4j';

export const CACHE_KEY_PREFIX = Bun.env.CACHE_KEY_PREFIX || "cached-schemas";
export const CACHE_DURATION = Bun.env.CACHE_DURATION ? parseInt(Bun.env.CACHE_DURATION) : 5 * 60 * 1000;
export const USER_MANAGEMENT_SERVICE_API = Bun.env.USER_MANAGEMENT_SERVICE_API || "http://localhost:8000"
export const DEV = Bun.env.DEV || false;
export const ENV = Bun.env.ENV || "develop";
export const RABBIT_USER = Bun.env.RABBIT_USER || "rabbitmq";
export const RABBIT_PASSWORD = Bun.env.RABBIT_PASSWORD || "DevOnlyPass";
export const RABBIT_HOST = Bun.env.RABBIT_HOST || "localhost";
export const RABBIT_PORT = parseInt(Bun.env.RABBIT_PORT || "5672");
export const LOG_MESSAGES = Bun.env.LOG_MESSAGES || false;
export const LOG_LEVEL = parseInt(Bun.env.LOG_LEVEL || '-1');
export const REDIS_HOST = Bun.env.REDIS_HOST || "localhost";
export const REDIS_PORT = parseInt(Bun.env.REDIS_PORT || "6379");
export const REDIS_PASSWORD = Bun.env.REDIS_PASSWORD || "DevOnlyPass";
export const REDIS_SCHEMA_CACHE_DURATION = Bun.env.REDIS_SCHEMA_CACHE_DURATION || "60m";
